import Request from '../common/request.js';
let request = new Request().http
 
 
 export function create(data) {
  	return request('/app/packageOrder/create',data,'POST','application/json;charset=UTF-8');
 }
 export function compute(data) {
  	return request('/app/packageOrder/compute',data,'POST','application/json;charset=UTF-8');
 }
 export function pay(data) {
  	return request('/app/packageOrder/pay',data,'POST','application/json;charset=UTF-8');
 }
 export function payment(data) {
  	return request('/app/packageOrder/payment',data,'POST','application/json;charset=UTF-8');
 }
 export function getPackageOrderById(data) {
 	 return request('/app/packageOrder/getPackageOrderById',data,'GET');
 }
 export function getMyPackageOrderList(data) {
 	 return request('/app/packageOrder/getMyPackageOrderList',data,'GET');
 }
 export function getCompanyUserPackageOrderList(data) {
 	 return request('/app/packageOrder/getCompanyUserPackageOrderList',data,'GET');
 }
 export function getSharePackageOrderById(data) {
 	 return request('/app/packageOrder/getSharePackageOrderById',data,'GET');
 }
 export function getCompanyUserPackageOrderById(data) {
 	 return request('/app/packageOrder/getCompanyUserPackageOrderById',data,'GET');
 }
 
 export function cancelOrder(data) {
  	return request('/app/packageOrder/cancel',data,'POST','application/json;charset=UTF-8');
 }
 
 
 export function getOrderCount(data) {
 	 return request('/app/packageOrder/getOrderCount',data,'GET');
 }
 
 // 领取礼品(创建订单)
 export function giftCreate(data) {
  	return request('/app/pop',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getAgreement() {
  	return request('/app/doctor/getAgreement',null,'GET');
 }